Subject: Re: bug#30434: magit won’t work over TRAMP

From: Alex Kost <[email-masked]>
Date: Fri, 16 Feb 2018 19:56:36 +0300

Mark H Weaver (2018-02-16 04:09 -0500) wrote:

> Alex Kost <[email-masked]> writes:
>
>> Mark H Weaver (2018-02-14 13:17 -0500) wrote:
>>
>>> Alex Kost <[email-masked]> writes:
>>>
>>>> You didn't remove "git" from the inputs.  I think it is not needed now.
>>>
>>> I removed it on my first attempt, but the build failed.  See below.
>>
>> Oh, right, sorry.  I use my own package for magit and it dosn't require
>> git input, so I thought that the original guix package also doesn't need
>> it.  Sorry for the confusion :-)
>
> How does your own magit package avoid requiring git as an input?  I'd be
> curious to see the diff between your package definition and ours.

My version of magit is attached.  Actually this problem (requiring git
during compilation) was introduced occasionally in Magit 2.11.0 and was
fixed soon after that, so "git" input will not be needed in the next
release.

If you want more details, tarsius (the maintainer of Magit) added some
code to bring attention for his fundraising campaign:

  https://github.com/magit/magit/commit/bf71241122e1a0bf707913c87493214ceb12f588

Then he made a release (2.11.0), but that commit introduced the
compilation fail if git wasn't available at compile-time.  This was
fixed right after the release (at the same day):

  https://github.com/magit/magit/commit/20ebb99a1dda085dfde99bf26d4d8a52fba51bcf

Finally the campaign code was removed 2 weeks later:

  https://github.com/magit/magit/commit/4a9d9e59806735100b5d20a8be32defefb659a33